#
# spec file for package phonon-backend-vlc
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
Name:           phonon-backend-vlc
Version:        0.4.1
Release:        1.5
License:        LGPLv2.0+
Summary:        Phonon VLC Backend
Url:            http://phonon.kde.org/
Group:          Development/Libraries/KDE
Source0:        phonon-backend-vlc-%{version}.tar.bz2
BuildRequires:  alsa-devel
BuildRequires:  automoc4
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  kde4-filesystem
BuildRequires:  libv4l-devel
BuildRequires:  phonon-devel >= 4.5.0
BuildRequires:  pkgconfig
BuildRequires:  vlc-devel < 2.1.0
BuildRequires:  vlc-devel >= 1.1.1
Requires:       libphonon4
Requires:       vlc < 2.1.0
Requires:       vlc >= 1.1.1
Provides:       phonon-backend
Obsoletes:      phonon-vlc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%requires_ge    libqt4

%description
Phonon is a cross-platform portable Multimedia Support Abstraction,
which allows you to play multiple audio or video formats with the same
quality on all platforms, no matter which underlying architecture is
used.

This is the VLC backend for Phonon

%prep
%setup -q

%build
%if 0%{?suse_version} < 1140
  %cmake_kde4 -d build
%else
  %cmake_kde4 -d build -- -DPHONON_VLC_NO_EXPERIMENTAL=ON
%endif
  %make_jobs

%install
  cd build
%make_install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_kde4_modulesdir}/plugins/phonon_backend/phonon_vlc.so
%{_kde4_servicesdir}/phononbackends/vlc.desktop

%changelog
* Sun Jan 23 2011 toddrme2178@gmail.com
- update to version 0.3.2
* Wed Dec  1 2010 tittiatcoke@gmail.com
- update to version 0.3.1
* Tue Aug 17 2010 tittiatcoke@gmail.com
- update to a newer snapshot
  * Emit the proper stateChanged() signals in play, pause and stop
  * Add Phota, a small Phonon Testing Application for VLC debugging
  * Do not explode in Audio Apps
  * further small fixes/improvements
* Thu Aug 12 2010 alexo.veto@gmail.com
- Add:  Obsoletes: phonon-vlc
* Sat Jul 24 2010 tittiatcoke@gmail.com
- Update to a newer snapshot.
  * Add webM MIME types for audio and video
  * Add mimetype to allow ogg files to show correctly
  * Add some realmedia files mimetype
* Mon Jul 19 2010 tittiatcoke@gmail.com
- Update to a newer snapshots
* Tue Jun  1 2010 tittiatcoke@gmail.com
- Initial package.
